org.eclipse.graphiti.func

## Class Proposal

- java.lang.Object
- - org.eclipse.graphiti.func.Proposal

All Implemented Interfaces:
  IProposal

    public class Proposal
    extends Object
    implements IProposal

### Constructor Summary

Constructors
Constructor and Description
`Proposal(String text)`
`Proposal(String text, Object object)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `getObject()`
`String` `getText()`
`static String[]` `proposalsToTexts(IProposal[] proposals)`
`void` `setObject(Object object)`
`void` `setText(String text)`
`static Proposal[]` `textsToProposals(String[] texts)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Proposal

    public Proposal(String text)

#### Proposal

    public Proposal(String text,
                    Object object)

### Method Detail

#### getObject

    public Object getObject()

Specified by:
  `getObject` in interface `IProposal`

#### getText

    public String getText()

Specified by:
  `getText` in interface `IProposal`

#### setObject

    public void setObject(Object object)

#### setText

    public void setText(String text)

#### textsToProposals

    public static Proposal[] textsToProposals(String[] texts)

#### proposalsToTexts

    public static String[] proposalsToTexts(IProposal[] proposals)